Bug 41096 - gcc 2.96-82 fails to compile koffice 1.1b2 on alpha
Summary: gcc 2.96-82 fails to compile koffice 1.1b2 on alpha
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: gcc   
(Show other bugs)
Version: 1.0
Hardware: alpha Linux
medium
medium
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-05-17 12:59 UTC by Bernhard Rosenkraenzer
Modified: 2007-04-18 16:33 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-05-17 12:59:56 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Preprocessor output of -O2 build (45.03 KB, text/plain)
2001-05-17 12:59 UTC, Bernhard Rosenkraenzer
no flags Details

Description Bernhard Rosenkraenzer 2001-05-17 12:59:16 UTC
Description of Problem:

g++ -DHAVE_CONFIG_H -I. -I. -I../../../../.. -I. -I./.. 
-I/usr/include/kde -I/usr/lib/qt-2.3.0/include -I/usr/X11R6/include -O2 
-fno-exceptions -fno-check-new -D_GNU_SOURCE -O2 -mieee -mcpu=ev5 
-DNO_DEBUG -DNDEBUG -fno-check-new -DQT_CLEAN_NAMESPACE -DQT_NO_COMPAT 
-DQT_NO_ASCII_CAST -Wp,-MD,.deps/stream.pp -c stream.cc  -fPIC -DPIC -o 
.libs/stream.o
stream.cc: In method `QpIStream &QpIStream::operator>> (QP_INT64 &)':
stream.cc:178: Internal error: Floating point exception.
Please submit a full bug report.
See <URL:http://bugzilla.redhat.com/bugzilla/> for instructions.

Still happens with -O1, works with -O0

Comment 1 Bernhard Rosenkraenzer 2001-05-17 12:59:52 UTC
Created attachment 18770 [details]
Preprocessor output of -O2 build

Comment 2 Phil Copeland 2001-06-04 21:16:56 UTC
fixed on -85 see 
ftp://rawhide.redhat.com/redhat/linux/rawhide/alpha/RedHat/RPMS/



Note You need to log in before you can comment on or make changes to this bug.